This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 825902 - [FEAT] Support for separate namespace for 'hooks' friendly keys.
[FEAT] Support for separate namespace for 'hooks' friendly keys.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 23:13 EDT by Amar Tumballi
Modified: 2013-12-18 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:20:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-05-28 23:13:45 EDT
Description of problem:
Currently glusterd supports 'hooks' for every operation. Using this, user can execute some scripts 'pre' and 'post' an operation.

We need to support special/separate namespace for few keys which user wants to be passed to these hook scripts, but glusterd need not interpret them. Also, this should not result in a failure in both staging and commiting phase. That way, we can provide more flexibility to users.
Comment 1 Amar Tumballi 2012-06-01 01:51:14 EDT
patch http://review.gluster.com/3443 fixes the issue on master. Any 'user.*' commands will be passed on to Hooks scripts now.
Comment 2 Amar Tumballi 2012-06-01 02:53:46 EDT
the bug fix is only in upstream, not in release-3.3. Hence moving it out of the ON_QA, and setting MODIFIED (as a standard practice @ Red Hat)
Comment 3 Vijay Bellur 2012-07-29 17:20:46 EDT
CHANGE: http://review.gluster.com/3715 (glusterd: Persisted hooks friendly user.* keys) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.